Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ajax4jsf.cache.lru
Class CacheMap

    java.lang.Object
      java.util.AbstractMap<K,V>
          java.util.HashMap<K,V>
              java.util.LinkedHashMap<K,V>
                  org.ajax4jsf.util.LRUMap<java.lang.Object,CacheEntry>
                      org.ajax4jsf.cache.lru.CacheMap

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable, java.util.Map<java.lang.Object,CacheEntry>

    public final class CacheMap

extends LRUMap<java.lang.Object,CacheEntry>

User: akolonitsky Date: Oct 13, 2009

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.util.AbstractMap
`java.util.AbstractMap.SimpleEntry<K,V>, java.util.AbstractMap.SimpleImmutableEntry<K,V>`

Constructor Summary
`CacheMap()`
`CacheMap(int capacity)`

Method Summary
`void` | `clear()`
`java.util.PriorityQueue<CacheEntry>` | `getExpirationQueue()`
`void` | `purge()`
`CacheEntry` | `put(java.lang.Object key, CacheEntry value)`
`CacheEntry` | `remove(java.lang.Object key)`

Methods inherited from class org.ajax4jsf.util.LRUMap
`getMostRecent, removeEldestEntry`

Methods inherited from class java.util.LinkedHashMap
`containsValue, get`

Methods inherited from class java.util.HashMap
`clone, containsKey, entrySet, isEmpty, keySet, putAll, size, values`

Methods inherited from class java.util.AbstractMap
`equals, hashCode, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`containsKey, entrySet, equals, hashCode, isEmpty, keySet, putAll, size, values`

Constructor Detail

### CacheMap

    public CacheMap()

### CacheMap

    public CacheMap(int capacity)

Method Detail

### getExpirationQueue

    public java.util.PriorityQueue<CacheEntry> getExpirationQueue()

### put

    public CacheEntry put(java.lang.Object key,
                          CacheEntry value)

  Specified by:
    `put` in interface `java.util.Map<java.lang.Object,CacheEntry>`
  Overrides:
    `put` in class `java.util.HashMap<java.lang.Object,CacheEntry>`

### remove

    public CacheEntry remove(java.lang.Object key)

  Specified by:
    `remove` in interface `java.util.Map<java.lang.Object,CacheEntry>`
  Overrides:
    `remove` in class `java.util.HashMap<java.lang.Object,CacheEntry>`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Map<java.lang.Object,CacheEntry>`
  Overrides:
    `clear` in class `java.util.LinkedHashMap<java.lang.Object,CacheEntry>`

### purge

    public void purge()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.